-- Options
lvim.colorscheme = "tokyonight"
lvim.log.level = "warn"
lvim.format_on_save = true
lvim.builtin.nvimtree.show_icons.git = 1

local o = vim.opt
o.timeoutlen = 300
o.shell = "/bin/sh"


-- Keymappings
local delete = function () end
lvim.leader = "space"
lvim.keys.normal_mode["<C-s>"] = ":w<cr>"
lvim.builtin.cmp.mapping["<C-Space>"] = delete()

require 'conf.luasnip'

-- Plugins
lvim.builtin.notify.active = true
lvim.builtin.terminal.active = true
lvim.builtin.dap.active = true

lvim.plugins = {
  { "folke/tokyonight.nvim" },
  { "folke/trouble.nvim", cmd = "TroubleToggle", },
}
